Skip to main content
GET
Get Workflow

Authorizations

x-api-key
string
header
required

Your Sixtyfour API key.

Path Parameters

workflow_id
string<uuid>
required

Response

Successful Response

workflow_id
string
required

Workflow identifier.

name
string
required

Name of the workflow.

revision
integer
required

Counter that increases each time the workflow is edited.

locked
boolean
required

If true, the workflow cannot be edited.

created_at
string<date-time>
required

Creation time in UTC, in ISO 8601 format.

updated_at
string<date-time>
required

Last update time in UTC, in ISO 8601 format.

description
string | null

Note about what the workflow does.

block_count
integer | null

Number of blocks in the workflow.

last_run_at
string<date-time> | null

Start time of the most recent run in UTC. Null when it has never run.

definition
StoredGraph · object

Blocks the workflow runs and the edges that order them.